cross/avr-gcc - The NetBSD Packages Collection

GCC for Atmel AVR 8-bit RISC microcontrollers

GCC configured as cross-compiler for Atmel AVR 8-bit RISC
microcontrollers.

This package includes C and C++ compilers.

Build dependencies

pkgtools/cwrappers devel/libtool-base shells/bash devel/gmake

Runtime dependencies

cross/avr-binutils textproc/gsed devel/gmp devel/gmp math/isl math/mpcomplex math/mpfr math/mpfr devel/gmp math/mpcomplex math/mpfr

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfavr-gcc-10.3.0nb1.tgz
NetBSD 8.0earmv7hfavr-gcc-4.8.3nb6.tgz
NetBSD 8.0earmv7hfavr-gcc-4.8.3nb7.tgz
NetBSD 8.0i386avr-gcc-4.8.3nb6.tgz
NetBSD 8.0i386avr-gcc-4.8.3nb7.tgz
NetBSD 8.0powerpcavr-gcc-4.8.3nb6.tgz
NetBSD 8.0powerpcavr-gcc-4.8.3nb7.tgz
NetBSD 8.0powerpcavr-gcc-10.3.0nb1.tgz
NetBSD 8.0powerpcavr-gcc-4.8.3nb7.tgz
NetBSD 8.0powerpcavr-gcc-10.3.0nb1.tgz
NetBSD 8.0x86_64avr-gcc-4.8.3nb6.tgz
NetBSD 8.0x86_64avr-gcc-4.8.3nb7.tgz
NetBSD 9.0aarch64avr-gcc-10.3.0nb1.tgz
NetBSD 9.0aarch64avr-gcc-4.8.3nb6.tgz
NetBSD 9.0aarch64avr-gcc-4.8.3nb7.tgz
NetBSD 9.0alphaavr-gcc-10.3.0nb1.tgz
NetBSD 9.0alphaavr-gcc-4.8.3nb6.tgz
NetBSD 9.0alphaavr-gcc-4.8.3nb7.tgz
NetBSD 9.0alphaavr-gcc-10.3.0nb1.tgz
NetBSD 9.0earmavr-gcc-10.3.0nb1.tgz
NetBSD 9.0earmavr-gcc-4.8.3nb6.tgz
NetBSD 9.0earmavr-gcc-4.8.3nb7.tgz
NetBSD 9.0earmavr-gcc-10.3.0nb1.tgz
NetBSD 9.0earmv6hfavr-gcc-10.3.0nb1.tgz
NetBSD 9.0earmv6hfavr-gcc-4.8.3nb6.tgz
NetBSD 9.0earmv6hfavr-gcc-4.8.3nb7.tgz
NetBSD 9.0earmv6hfavr-gcc-10.3.0nb1.tgz
NetBSD 9.0earmv7hfavr-gcc-10.3.0nb1.tgz
NetBSD 9.0earmv7hfavr-gcc-4.8.3nb6.tgz
NetBSD 9.0earmv7hfavr-gcc-4.8.3nb7.tgz
NetBSD 9.0earmv7hfavr-gcc-10.3.0nb1.tgz
NetBSD 9.0earmv7hfavr-gcc-10.3.0nb1.tgz
NetBSD 9.0i386avr-gcc-4.8.3nb6.tgz
NetBSD 9.0i386avr-gcc-4.8.3nb7.tgz
NetBSD 9.0i386avr-gcc-10.3.0nb1.tgz
NetBSD 9.0mips64ebavr-gcc-10.3.0nb1.tgz
NetBSD 9.0mips64ebavr-gcc-4.8.3nb6.tgz
NetBSD 9.0mips64ebavr-gcc-4.8.3nb6.tgz
NetBSD 9.0mips64ebavr-gcc-4.8.3nb6.tgz
NetBSD 9.0mips64ebavr-gcc-4.8.3nb7.tgz
NetBSD 9.0mips64ebavr-gcc-10.3.0nb1.tgz
NetBSD 9.0mipselavr-gcc-4.8.3nb6.tgz
NetBSD 9.0mipselavr-gcc-4.8.3nb6.tgz
NetBSD 9.0mipselavr-gcc-4.8.3nb7.tgz
NetBSD 9.0powerpcavr-gcc-10.3.0nb1.tgz
NetBSD 9.0powerpcavr-gcc-4.8.3nb6.tgz
NetBSD 9.0powerpcavr-gcc-4.8.3nb7.tgz
NetBSD 9.0powerpcavr-gcc-4.8.3nb7.tgz
NetBSD 9.0powerpcavr-gcc-10.3.0nb1.tgz
NetBSD 9.0sparc64avr-gcc-10.3.0nb1.tgz
NetBSD 9.0sparc64avr-gcc-4.8.3nb6.tgz
NetBSD 9.0sparc64avr-gcc-4.8.3nb7.tgz
NetBSD 9.0sparc64avr-gcc-10.3.0nb1.tgz
NetBSD 9.0sparcavr-gcc-10.3.0nb1.tgz
NetBSD 9.0sparcavr-gcc-4.8.3nb6.tgz
NetBSD 9.0sparcavr-gcc-4.8.3nb6.tgz
NetBSD 9.0sparcavr-gcc-4.8.3nb6.tgz
NetBSD 9.0sparcavr-gcc-10.3.0nb1.tgz
NetBSD 9.0x86_64avr-gcc-4.8.3nb7.tgz
NetBSD 9.0x86_64avr-gcc-10.3.0nb1.tgz
NetBSD 9.0x86_64avr-gcc-10.3.0nb1.tgz
NetBSD 9.0x86_64avr-gcc-4.8.3nb6.tgz
NetBSD 9.0x86_64avr-gcc-4.8.3nb7.tgz
NetBSD 9.0x86_64avr-gcc-10.3.0nb1.tgz
NetBSD 9.0x86_64avr-gcc-10.3.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gcc-inplace-math
Build math libs inplace instead of depending on them.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.